import { select, geoMercator, geoPath } from 'd3';
const svg = select('svg');
const width = document.body.clientWidth;
const height = document.body.clientHeight;

svg.attr('width', width).attr('height', height*2)
const g = svg.append('g');
const mercator = geoMercator().scale(850).translate([width/2, height/2]).center([78,30.9]);
const pathGenerator = geoPath().projection(mercator);


d3.json('https://gist.githubusercontent.com/AnimeshN/27d60b61e28f74eafa7ce6f10654bb3e/raw/8f967f601a45877803dd12ca1d19c690142054ea/india_state_nfhs4.geojson').then(projectGeoJSON =>{
  let projectgeojson = projectGeoJSON.features;


  let path = g.selectAll('path').data(projectgeojson)
              .enter().append('path')
              .attr('d',pathGenerator)
              .attr('class','boundary')
}) 